DNF5-SYSTEM-UPGRADE(8)

NUME
dnf5-system-upgrade - comanda «system-upgrade»

SINOPSIS

dnf5 system-upgrade <subcomanda> [opțiuni]

DESCRIERE

Comanda system-upgrade este utilizată pentru a actualiza sistemul la o nouă versiune majoră. Mai întâi, subcomanda download descarcă pachetele în timp ce sistemul funcționează normal. Apoi, subcomanda reboot repornește sistemul într-un mediu minim „offline” pentru a aplica actualizările.

dnf5 system-upgrade este o modalitate recomandată de a actualiza un sistem la o nouă versiune majoră. Înainte de a continua, asigurați-vă că sistemul dumneavoastră este complet actualizat (dnf5 --refresh upgrade).

system-upgrade împarte multe subcomenzi cu Comanda «offline» <#offline-command-ref-label>.

SUBCOMENZI

    clean
        A se vedea dnf5-offline(8), Comanda «offline» <#offline-command-ref-label>

    download
        Descarcă toate pachetele necesare pentru actualizarea la o nouă versiune majoră și verifică dacă acestea pot fi instalate.

    log
        A se vedea dnf5-offline(8), Comanda «offline» <#offline-command-ref-label>

    reboot (opțiunea de repornire a sistemului)
        A se vedea dnf5-offline(8), Comanda «offline» <#offline-command-ref-label>

OPȚIUNI

    --releasever=<versiunea>
        Necesară. Versiunea la care se face actualizarea. Definește $releasever în toate depozitele activate. De obicei un număr, sau rawhide.

    --no-downgrade
        Se comportă ca dnf5 update: nu instalează pachete din noua versiune dacă acestea sunt mai vechi decât versiunea instalată în prezent. Acesta este opusul comportamentului implicit, care se comportă ca dnf5 distro-sync, instalând întotdeauna pachete din noua versiune, chiar dacă acestea sunt mai vechi decât versiunea instalată în prezent.

    --allowerasing
        Permite eliminarea pachetelor instalate pentru a rezolva eventualele probleme de dependență.

    --number=<număr-pornire>
        A se vedea dnf5-offline(8), Comanda «offline» <#offline-command-ref-label>

    --poweroff
        A se vedea dnf5-offline(8), Comanda «offline» <#offline-command-ref-label>

MEDIU

A se vedea dnf5-offline(8), Comanda «offline» <#offline-command-ref-label>.

EXEMPLE

  Utilizarea tipică a actualizării „upgrade”

dnf5 --refresh upgrade

dnf5 system-upgrade download --releasever 40

dnf5 system-upgrade reboot

  Afișează jurnalele de la ultima încercare de actualizare

dnf5 system-upgrade log --number=-1

CONSULTAȚI ȘI
        dnf5-offline(8), Comanda «offline» <#offline-command-ref-label>
        %<https://www.freedesktop.org/wiki/Software/systemd/SystemUpdates>

Autor
A se vedea AUTHORS.md în distribuția sursei dnf5.

Drepturi de autor
Contribuitori la proiectul dnf5.

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.